#!/usr/bin/env python
#!/bin/bash

# Copyright (C) 2005 Truelite Srl <info@truelite.it>
#
# Simple tool to manage an ADSL connection setup
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# AUTHOR: Alessandro Gervaso <alessandro@truelite.it>

import pygtk
import gtk
import os,os.path


class AdslControl:

    def connect(self, widget):
	print "Attiva la connessione"
        ret = os.system('/usr/bin/pon')

    def disconnect(self, widget):
	print "Disattiva la connessione"
	ret = os.system('/usr/bin/poff')
	if ret == 0:
		message = "Disconnessione avvenuta con successo"
	elif ret == 256:
		message = "Disconnessione non avvenuta: nessuna connessione attiva!"
	else:
		message = "Errore durante la disconnessione"
	os.system('zenity --info --text="%s" --title="Disconnesione"' % message)

    def configure(self, widget):
	if os.system('/usr/bin/gksu /usr/sbin/fuss-adsl-setup') > 0:
		os.system("zenity --info --text='Si e' verificato un errore nella esecuzione dello strumento di configurazione.'")


    # another callback
    def delete_event(self, widget, event, data=None):
        gtk.main_quit()
        return False

    def __init__(self):
        self.window = gtk.Window(gtk.WINDOW_TOPLEVEL)

        self.window.set_title("Connessione ADSL ALPIKOM")

        self.window.connect("delete_event", self.delete_event)
        self.window.set_border_width(10)

        self.vbox1 = gtk.VBox(False, 0)
        self.window.add(self.vbox1)
	self.vbox1.show()

	logo_paths = ["/usr/share/pixmaps/alpikom-grande.png", "./alpikom-grande.png"]
	for file in logo_paths:
		if os.path.isfile(file):
			logofile = file

	logo = gtk.Image()
	logo.set_from_file(logofile)
	logo.show()
	self.vbox1.pack_start(logo, False, False, 3)

        self.box1 = gtk.HBox(True, 0)
	self.vbox1.pack_start(self.box1, True, True, 3)

        self.button1 = gtk.Button("Connetti")
        self.button1.connect("clicked", self.connect)
        self.box1.pack_start(self.button1, False, False, 3)
        self.button1.show()
        
	self.button2 = gtk.Button("Disconnetti")
        self.button2.connect("clicked", self.disconnect)
        self.box1.pack_start(self.button2, False, False, 3)
        self.button2.show()

	self.button3 = gtk.Button("Configura")
        self.button3.connect("clicked", self.configure)
        self.box1.pack_start(self.button3, False, False, 3)
        self.button3.show()

	self.button3 = gtk.Button("Esci")
        self.button3.connect("clicked", self.delete_event, self.button3)
        self.box1.pack_start(self.button3, False, False, 3)
        self.button3.show()
        
        self.box1.show()
        self.window.show()

def main():
    gtk.main()

if __name__ == "__main__":
    hello = AdslControl()
    main()

