#!/bin/bash

# Copyright (C) 2005 Truelite Srl <info@truelite.it>
#
# Simple tool to manage an ADSL connection setup
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# AUTHOR: Alessandro Gervaso <alessandro@truelite.it>

# Get root

if [ "$(id -u)" != "0" ]
then
	zenity --info --text="Questo programma va lanciato da root. Eseguire \"gksu /usr/sbin/fuss-adsl-setup\""
	exit 1
fi

# exit function
app_exit()
{
    zenity --info --text="Hai annullato la procedura di configurazione"
    exit 1
}

# let's start
zenity --info --text="Questo strumento permette la configurazione del sistema per stabilire una connessione alla rete Internet utilizzando il provider Alpikom e il modem da loro fornito."  --title="Configurazione della connessione ADSL"



if [ -e /etc/ppp/peers/peers-pppoa ]
#if [ -z $(grep user /etc/ppp/peers/peers-pppoa | grep -v "#") ]
then
	USERNAME=$(zenity --entry --text="Inserire il nome utente fornito dal provider" --title="username")

	if [ $? -gt 0  ]
	then
	    app_exit
	fi
	PASSWORD=$(zenity --entry --text="Inserire la password fornita dal provider" --hide-text --title="password")
	if [ $? -gt 0  ]
	then
	    app_exit
	fi

else
	OLDUSERNAME=$(grep user /etc/ppp/peers/peers-pppoa | grep -v "#" | awk '{print $2}' | awk -F "\"" '{print $2}')
	USERNAME=$(zenity --entry --text="Nel sistema e\' presente una precedente configurazione.\nIl precedente nome utente e' visualizzato nella casella di inserimento.\nPremere \"OK\"senza modificarlo per mantenere quello esistente" --entry-text="$OLDUSERNAME" --title="username")
	PASSWORD=$(zenity --entry --text="Inserire la password fornita dal provider" --hide-text --title="password")
fi

#stringa da inserire in /etc/ppp/pap-secrets
SECRET="$USERNAME *\t$PASSWORD"

# inserimento della password
cp -a /etc/ppp/peers/peers-pppoa.fuss /etc/ppp/peers/peers-pppoa
chown :dip /etc/ppp/peers/peers-pppoa
cp -a /etc/ppp/pap-secrets.fuss /etc/ppp/pap-secrets

# uso del nuovo utente nella configurazione
echo "#inserito il `date`" >> /etc/ppp/peers/peers-pppoa
echo -e "user \"$USERNAME\"" >> /etc/ppp/peers/peers-pppoa

# inserimento della password nel file relativo
echo "#inserito il `data`" >> /etc/ppp/pap-secrets
echo -e $SECRET >> /etc/ppp/pap-secrets

# usciamo se serve uscire..
zenity --info --text="Configurazione completata. Ora e\' possibile attivare la connessione ad internet." --title="Configurazione della connessione ADSL"

# e usciamo bene!
exit 0
